{
  "name": "maxwatersystem-electron",
  "version": "1.1.0",
  "description": "Electron-based HMI Program",
  "main": "main_process.js",
  "scripts": {
    "postinstall": "electron-builder install-app-deps",
    "bundle": "webpack --mode development",
    "wpackserve": "webpack --mode development -w",
    "serve": "electron .",
    "start": "npm-run-all --parallel wpackserve serve",
    "pack": "electron-builder --dir",
    "dist": "electron-builder -mwl",
    "docgen": "jsdoc ./app/src/*/*.js -d ./app/out",
    "test": "jest --verbose --coverage",
    "test:watch": "npm run test -- --watch"
  },
  "jest": {
    "transformIgnorePatterns": [
      "node_modules/(?!(electron)/)"
    ],
    "moduleNameMapper": {
      "electron": "<rootDir>/__mock__/electron.js",
      "\\.(css|less)$": "identity-obj-proxy"
    },
    "testEnvironment": "node"
  },
  "author": "Patrick J. McDonagh",
  "repository": "HenryPump/MaxWaterSystem-Electron",
  "license": "MIT",
  "devDependencies": {
    "babel-core": "^6.26.0",
    "babel-eslint": "^8.2.2",
    "babel-loader": "^7.1.4",
    "babel-preset-env": "^1.6.1",
    "babel-preset-react": "^6.24.1",
    "babel-preset-stage-0": "^6.24.1",
    "css-loader": "^0.28.10",
    "electron": "^2.0.0-beta.5",
    "electron-builder": "^20.8.1",
    "electron-reload": "^1.2.2",
    "enzyme": "^3.3.0",
    "enzyme-adapter-react-16": "^1.1.1",
    "eslint": "^4.19.1",
    "eslint-plugin-react": "^7.7.0",
    "file-loader": "^1.1.10",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^22.4.3",
    "karma-verbose-reporter": "^0.0.6",
    "mini-css-extract-plugin": "^0.4.0",
    "npm-run-all": "^4.1.2",
    "webpack": "^4.1.1",
    "webpack-cli": "^2.0.11"
  },
  "dependencies": {
    "@fortawesome/fontawesome": "^1.1.5",
    "@fortawesome/fontawesome-pro-regular": "^5.0.9",
    "@fortawesome/fontawesome-pro-webfonts": "^1.0.5",
    "@fortawesome/react-fontawesome": "0.0.18",
    "d3-color": "^1.0.3",
    "d3-interpolate": "^1.1.6",
    "esdoc": "^1.0.4",
    "ethernet-ip": "^1.1.4",
    "ethernet-ip-scanlist": "^1.0.2",
    "lodash": "^4.17.5",
    "moment": "^2.22.1",
    "node": "^9.11.0",
    "pondjs": "^0.8.8",
    "react": "^16.2.0",
    "react-dom": "^16.2.0",
    "react-event-timeline": "^1.5.1",
    "react-liquid-gauge": "^1.2.4",
    "react-redux": "^5.0.7",
    "react-router": "^4.2.0",
    "react-router-dom": "^4.2.2",
    "react-timeseries-charts": "^0.14.0",
    "react-vis": "^1.9.2",
    "redux": "^3.7.2",
    "redux-electron-ipc": "^1.1.12",
    "redux-persist": "^5.9.1",
    "sqlite3": "^4.0.0"
  },
  "build": {
    "appId": "com.henrypump.maxwatersystem",
    "mac": {
      "target": "default"
    },
    "win": {
      "target": "portable"
    }
  }
}
